Page MenuHomePhabricator

Page Forms: add an editable calendar interface
Closed, ResolvedPublic

Description

There was a project in the 2018 Google Summer of Code that added a new special page to the Page Forms extension, Special:MultiPageEdit, which lets users edit and create lots of pages at once from a single spreadsheet interface. It would be great to have a similar interface for creating and editing pages from a calendar interface, for pages that call templates that contain one or more date fields. This interface would most likely use the FullCalendar (https://fullcalendar.io/) JavaScript library. This feature may require the presence of the Cargo extension, or at least would be easier to use if Cargo is installed, since Cargo has separate types for "Start date" and "End date", something that Semantic MediaWiki lacks.

If there's time left over after this project is completed, it could be very interesting to create a similar editing interface using a map, for pages with Coordinates fields, letting users create and drag around markers on a map using OpenLayers and/or Google Maps.

Prerequisites: PHP, JavaScript, Ajax

Mentors: Yaron Koren, Erik Biegert, Yashdeep Thorat

Microtasks: T217516, T217517, T217518

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 14 2019, 9:27 PM
Townie added a subscriber: Townie.Jan 19 2019, 6:04 PM

@Yaron_Koren I am really interested in working with this project for GSoC 2019. I have the relevant skill set for working with the project. I am a bit familiar with the codebase. Can you provide some micro tasks to work out?

@Rammanojpotla - thanks for your interest. I'm only planning to add microtasks if/when the Wikimedia Foundation gets accepted to GSoC, which would be about a month from now.

Hello everyone!
I am interested to work on this project under GSoC 2019.

Yaron_Koren updated the task description. (Show Details)Feb 11 2019, 12:14 AM

Hello There!
I'm just there to tell you that I'm very interested in this project and I'll be glade to work on it for the GSoC 2019

Bahl24 added a subscriber: Bahl24.Feb 26 2019, 7:48 AM
Yaron_Koren updated the task description. (Show Details)Mar 3 2019, 5:14 PM

Hi! I'm interested in working on this project for Google Summer of Code 2019

Hello There!
I am interested to work on this project under GSoC 2019.

Is this task still open for claim? I am interested to work on it.

@nayo_99 - yes it is, and there are two microtasks still available.

Well, it's a Google Summer of Code project, so first I need to pick a student for it. If you're interested in doing it for GSoC, please complete a microtask.

Alright! Thank you. I will start looking forward to solve a microtask.

Is there anything remaining in this task from GSoC'19? If not, then please consider marking it as resolved! If yes, and would need another GSoC or volunteer help then consider creating a new task with the leftover items. Thanks!

Yaron_Koren closed this task as Resolved.Sep 4 2019, 12:54 AM
Yaron_Koren claimed this task.

The end product ended up being somewhat different from this task description, though just as useful - the original task was to add calendars to Special:MultiPageEdit, and instead calendars were added to single-page forms. So this particular task wasn't done per se - I'm still closing it, though, because it's strongly tied in with the 2019 GSoC project.